--
-- Copyright (C) 2020  <fastrgv@gmail.com>
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You may read the full text of the GNU General Public License
-- at <http://www.gnu.org/licenses/>.
--



with interfaces.c;
with ada.real_time; use ada.real_time;

package musical is

	subtype gldouble is interfaces.c.double;

	subtype idtype is string(1..99);


	task type musictask1 is
		entry Play( ch: character; cmd: string; utime: out time );
	end musictask1;

	task type musictask2 is
		entry getPID( fname: string; idstr: out idtype; len: out natural);
	end musictask2;


end musical;

